You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@calcite.apache.org by fr...@apache.org on 2018/04/22 11:02:48 UTC

[1/3] calcite-avatica-go git commit: Check files for Apache license header

Repository: calcite-avatica-go
Updated Branches:
  refs/heads/master adba1689e -> feb636fcb


Check files for Apache license header


Project: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/repo
Commit: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/commit/731c4689
Tree: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/tree/731c4689
Diff: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/diff/731c4689

Branch: refs/heads/master
Commit: 731c46895848d1e5d9bb70803d33dbfcc11b204b
Parents: adba168
Author: Francis Chuang <fr...@apache.org>
Authored: Sat Apr 21 12:59:54 2018 +1000
Committer: Francis Chuang <fr...@apache.org>
Committed: Sun Apr 22 19:24:42 2018 +1000

----------------------------------------------------------------------
 make-release-artifacts.sh | 9 +++++++++
 1 file changed, 9 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/blob/731c4689/make-release-artifacts.sh
----------------------------------------------------------------------
diff --git a/make-release-artifacts.sh b/make-release-artifacts.sh
index d9d3d7a..0cd1bdf 100755
--- a/make-release-artifacts.sh
+++ b/make-release-artifacts.sh
@@ -7,6 +7,15 @@ git fetch --tags
 
 # Get latest tag name
 latestTag=$(git describe --tags `git rev-list --tags --max-count=1` | sed -e 's/-rc[0-9][0-9]*//')
+
+# Exclude files without the Apache license header
+for i in $(git ls-files); do
+   case "$i" in
+   (LICENSE|NOTICE|message/common.pb.go|message/requests.pb.go|message/responses.pb.go|test-fixtures/calcite.png|Gopkg.lock|Gopkg.toml);; # add exceptions here
+   (*) grep -q "Licensed to the Apache Software Foundation" $i || echo "$i has no header";;
+   esac
+done
+
 product=apache-calcite-avatica-go
 tarFile=$product-src-$latestTag.tar.gz
 


[2/3] calcite-avatica-go git commit: Implement tag selection in release artifacts script and denote why certain files are whitelisted from license header checks

Posted by fr...@apache.org.
Implement tag selection in release artifacts script and denote why certain files are whitelisted from license header checks


Project: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/repo
Commit: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/commit/7f24c7a4
Tree: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/tree/7f24c7a4
Diff: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/diff/7f24c7a4

Branch: refs/heads/master
Commit: 7f24c7a4f677d962b4db7d7f72f09eb8a8684bc8
Parents: 731c468
Author: Francis Chuang <fr...@apache.org>
Authored: Sun Apr 22 19:26:27 2018 +1000
Committer: Francis Chuang <fr...@apache.org>
Committed: Sun Apr 22 19:47:27 2018 +1000

----------------------------------------------------------------------
 make-release-artifacts.sh | 51 ++++++++++++++++++++++++++++++++++++------
 1 file changed, 44 insertions(+), 7 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/blob/7f24c7a4/make-release-artifacts.sh
----------------------------------------------------------------------
diff --git a/make-release-artifacts.sh b/make-release-artifacts.sh
index 0cd1bdf..3c31500 100755
--- a/make-release-artifacts.sh
+++ b/make-release-artifacts.sh
@@ -1,3 +1,20 @@
+#!/bin/bash
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to you under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
 # Clean dist directory
 rm -rf dist
 mkdir -p dist
@@ -5,25 +22,45 @@ mkdir -p dist
 # Get new tags from remote
 git fetch --tags
 
-# Get latest tag name
-latestTag=$(git describe --tags `git rev-list --tags --max-count=1` | sed -e 's/-rc[0-9][0-9]*//')
+# Prompt for tag to release (defaults to latest tag)
+echo -n "Enter tag to release (default: latest tag): "
+read tag
+
+if [[ -z $tag ]]; then
+    tag=$(git describe --tags `git rev-list --tags --max-count=1`)
+    echo "No tag provided. Using the latest tag: $tag"
+fi
 
 # Exclude files without the Apache license header
 for i in $(git ls-files); do
    case "$i" in
-   (LICENSE|NOTICE|message/common.pb.go|message/requests.pb.go|message/responses.pb.go|test-fixtures/calcite.png|Gopkg.lock|Gopkg.toml);; # add exceptions here
+   # The following are excluded from the license header check
+
+   # License files
+   (LICENSE|NOTICE);;
+
+   # Generated files
+   (message/common.pb.go|message/requests.pb.go|message/responses.pb.go|Gopkg.lock|Gopkg.toml);;
+
+   # Binaries
+   (test-fixtures/calcite.png);;
+
    (*) grep -q "Licensed to the Apache Software Foundation" $i || echo "$i has no header";;
    esac
 done
 
+tagWithoutRC=$(echo $tag | sed -e 's/-rc[0-9][0-9]*//')
 product=apache-calcite-avatica-go
-tarFile=$product-src-$latestTag.tar.gz
+tarFile=$product-src-$tagWithoutRC.tar.gz
 
-# Checkout latest tag
-git checkout $latestTag
+# Checkout tag
+if ! git checkout $tag; then
+    echo "Could not check out tag $tag. Does it exist?"
+    exit 1
+fi
 
 # Make tar
-tar -zcvf dist/$tarFile --transform "s/^\./$product-src-$latestTag/g" --exclude "dist" --exclude ".git" .
+tar -zcvf dist/$tarFile --transform "s/^\./$product-src-$tagWithoutRC/g" --exclude "dist" --exclude ".git" .
 
 cd dist
 


[3/3] calcite-avatica-go git commit: Update releasing documentation

Posted by fr...@apache.org.
Update releasing documentation


Project: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/repo
Commit: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/commit/feb636fc
Tree: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/tree/feb636fc
Diff: http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/diff/feb636fc

Branch: refs/heads/master
Commit: feb636fcbf37455d900dbd78cc20a9897dfe94ce
Parents: 7f24c7a
Author: Francis Chuang <fr...@apache.org>
Authored: Sun Apr 22 20:00:09 2018 +1000
Committer: Francis Chuang <fr...@apache.org>
Committed: Sun Apr 22 20:00:09 2018 +1000

----------------------------------------------------------------------
 site/go_development.md | 2 ++
 1 file changed, 2 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/calcite-avatica-go/blob/feb636fc/site/go_development.md
----------------------------------------------------------------------
diff --git a/site/go_development.md b/site/go_development.md
index cee2e99..9d440ea 100644
--- a/site/go_development.md
+++ b/site/go_development.md
@@ -68,4 +68,6 @@ If you have not set up a GPG signing key, set one up by following these [instruc
 
 From the root of the repository, run `./make-release-artifacts.sh`.
 
+You will be asked to select the tag to build release artifacts for. The latest tag is automatically selected if no tag is selected.
+
 The release artifacts will be placed in the `dist/` folder.
\ No newline at end of file